> For the complete documentation index, see [llms.txt](https://docs.oxapay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxapay.com/legacy/api-reference/result-code-table.md).

# Result code table

When interacting with OxaPay's APIs, various scenarios can arise that result in responses. These are identified by specific codes along with corresponding messages, providing valuable information about the result status. Below is a comprehensive list of OxaPay API codes and their descriptions:

<table><thead><tr><th width="146">Result Code</th><th width="469">Error Message</th></tr></thead><tbody><tr><td>100</td><td>Successful operation</td></tr><tr><td>101</td><td>Validation problem</td></tr><tr><td>102</td><td>Invalid merchant API key</td></tr><tr><td>103</td><td>Invalid Payout API key</td></tr><tr><td>104</td><td>Invalid IP address</td></tr><tr><td>105</td><td>Invalid currency</td></tr><tr><td>106</td><td>Invalid network</td></tr><tr><td>107</td><td>Invalid callbackUrl</td></tr><tr><td>108</td><td>Invalid returnUrl</td></tr><tr><td>109</td><td>Amount is too low</td></tr><tr><td>110</td><td>Amount is too high</td></tr><tr><td>111</td><td>lifeTime is too short (lifeTime must be > 15)</td></tr><tr><td>112</td><td>Lifetime is too long (lifeTime must be &#x3C; 2880)</td></tr><tr><td>113</td><td>underPaidCover must be >= 0</td></tr><tr><td>114</td><td>underPaidCover must be &#x3C;= 60</td></tr><tr><td>115</td><td>Invalid feePaidByPayer value</td></tr><tr><td>116</td><td>Invalid trackId</td></tr><tr><td>117</td><td>Invalid address</td></tr><tr><td>118</td><td>toAmount cannot be smaller than fromAmount</td></tr><tr><td>119</td><td>toDate cannot be earlier than fromDate</td></tr><tr><td>120</td><td>Invalid payCurrency or incorrect symbol</td></tr><tr><td>121</td><td>Invalid fromCurrency</td></tr><tr><td>122</td><td>Invalid toCurrency</td></tr><tr><td>123</td><td>fromCurrency cannot be the same as toCurrency</td></tr><tr><td>124</td><td>Limit exceeded</td></tr><tr><td>125</td><td>Receiver address is yours</td></tr><tr><td>126</td><td>Amount not provided</td></tr><tr><td>127</td><td>Amount is below the minimum limit</td></tr><tr><td>128</td><td>Transfer limit exceeded (per transaction)</td></tr><tr><td>129</td><td>Total daily transfer limit exceeded</td></tr><tr><td>130</td><td>Insufficient balance</td></tr><tr><td>131</td><td>An error occurred.</td></tr><tr><td>135</td><td>The transfer of this currency on the defined network is disabled.</td></tr><tr><td>500</td><td>Internal error</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oxapay.com/legacy/api-reference/result-code-table.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
